import {
	apiProcedure,
	createTRPCRouter,
} from "~/server/api/trpc";
import { processEvents } from "~/server/controllers/event_queue.controller";

export const eventQueueRouter = createTRPCRouter({
	processEvents: apiProcedure.query(async () => {
		return await processEvents();
	}),
});
